Difference between revisions of "MacOS installation/es"

From TidalCycles userbase
Jump to: navigation, search
(Created page with "= Prerequisitos =")
(Created page with "= Recursos previos necesarios:=")
Line 14: Line 14:
 
= Prerequisitos =
 
= Prerequisitos =
  
=== Required Prerequisites===
+
= Recursos previos necesarios:=
  
 
Before installing Tidal, make sure the following are installed first:
 
Before installing Tidal, make sure the following are installed first:

Revision as of 03:46, 19 August 2019

Instalación automática con TidalBootstrap

You can download Tidal-Bootstrap here.

Please note: There are several reports that tidal-bootstrap currently only works if you install the 8.2.1 version of the haskell platform first. You can download that here.

Here’s a video demonstrating the tidal-bootstrap install process.

Ahora podes intentár Start TidalCycles and SuperDirt for the first time.

Instalación manual

Prerequisitos

Recursos previos necesarios:

Before installing Tidal, make sure the following are installed first:

Optional Prerequisites

The following is optional, but recommended:

  • SC3 Plugins - you may need the SuperCollider sc3-plugins if you want to use any of the synths included in SuperDirt. Most of the examples in the documentation will still work, so you could skip this step and return to it later.

Install TidalCycles

From a terminal, type and run these two commands (ignoring any complaints that cabal has of 'legacy v1 style of usage'):

cabal update
cabal install tidal

If you've never installed TidalCycles before, then the cabal install tidal step may take some time. At the end of the command output, it should say Installed tidal-x.x.x (where x.x.x is the latest version number) without any errors.

Install SuperDirt

Start SuperCollider, and in the editor window paste in the following line of code:

   Quarks.checkForUpdates(); Quarks.install("SuperDirt", "v1.0")

Run the code by clicking on it, to make sure the cursor is on this line, then hold down Shift and press Enter. This will download SuperDirt and you will see it has completed when the Post Window displays:

... the class library may have to be recompiled.
-> SuperDirt

After it has completed, you will need to restart SuperCollider (or alternatively, recompile the class library via the “Language” menu).

Install Atom Extension

Start Atom, and install the TidalCycles plugin. You can find it via the menus under edit > settings > install, then typing “tidalcycles” into the search box. Once that’s installed, restart atom.

Test Your Installation

Now you are ready to Start TidalCycles and SuperDirt for the first time.